<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_131) on Fri Oct 27 02:37:08 EDT 2017 -->
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>Uses of Class org.eclipse.papyrus.designer.languages.java.reverse.javaparser.ast.type.ReferenceType (org.eclipse.papyrus.designer.languages.java.reverse 1.0.5 API)</title>
<meta name="date" content="2017-10-27">
<link rel="stylesheet" type="text/css" href="../../../../../../../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../../../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Uses of Class org.eclipse.papyrus.designer.languages.java.reverse.javaparser.ast.type.ReferenceType (org.eclipse.papyrus.designer.languages.java.reverse 1.0.5 API)";
        }
    }
    catch(err) {
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../../../../../../overview-summary.html">Overview</a></li>
<li><a href="../package-summary.html">Package</a></li>
<li><a href="../../../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ast/type/ReferenceType.html" title="class in org.eclipse.papyrus.designer.languages.java.reverse.javaparser.ast.type">Class</a></li>
<li class="navBarCell1Rev">Use</li>
<li><a href="../package-tree.html">Tree</a></li>
<li><a href="../../../../../../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev</li>
<li>Next</li>
</ul>
<ul class="navList">
<li><a href="../../../../../../../../../../../index.html?org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ast/type/class-use/ReferenceType.html" target="_top">Frames</a></li>
<li><a href="ReferenceType.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="header">
<h2 title="Uses of Class org.eclipse.papyrus.designer.languages.java.reverse.javaparser.ast.type.ReferenceType" class="title">Uses of Class<br>org.eclipse.papyrus.designer.languages.java.reverse.javaparser.ast.type.ReferenceType</h2>
</div>
<div class="classUseContainer">
<ul class="blockList">
<li class="blockList">
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing packages, and an explanation">
<caption><span>Packages that use <a href="../../../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ast/type/ReferenceType.html" title="class in org.eclipse.papyrus.designer.languages.java.reverse.javaparser.ast.type">ReferenceType</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Package</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><a href="#org.eclipse.papyrus.designer.languages.java.reverse.javaparser">org.eclipse.papyrus.designer.languages.java.reverse.javaparser</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="#org.eclipse.papyrus.designer.languages.java.reverse.javaparser.ast.body">org.eclipse.papyrus.designer.languages.java.reverse.javaparser.ast.body</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="#org.eclipse.papyrus.designer.languages.java.reverse.javaparser.ast.type">org.eclipse.papyrus.designer.languages.java.reverse.javaparser.ast.type</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="#org.eclipse.papyrus.designer.languages.java.reverse.javaparser.ast.visitor">org.eclipse.papyrus.designer.languages.java.reverse.javaparser.ast.visitor</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="#org.eclipse.papyrus.designer.languages.java.reverse.umlparser">org.eclipse.papyrus.designer.languages.java.reverse.umlparser</a></td>
<td class="colLast">&nbsp;</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList">
<ul class="blockList">
<li class="blockList"><a name="org.eclipse.papyrus.designer.languages.java.reverse.javaparser">
<!--   -->
</a>
<h3>Uses of <a href="../../../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ast/type/ReferenceType.html" title="class in org.eclipse.papyrus.designer.languages.java.reverse.javaparser.ast.type">ReferenceType</a> in <a href="../../../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/package-summary.html">org.eclipse.papyrus.designer.languages.java.reverse.javaparser</a></h3>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/package-summary.html">org.eclipse.papyrus.designer.languages.java.reverse.javaparser</a> that return <a href="../../../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ast/type/ReferenceType.html" title="class in org.eclipse.papyrus.designer.languages.java.reverse.javaparser.ast.type">ReferenceType</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>static <a href="../../../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ast/type/ReferenceType.html" title="class in org.eclipse.papyrus.designer.languages.java.reverse.javaparser.ast.type">ReferenceType</a></code></td>
<td class="colLast"><span class="typeNameLabel">ASTHelper.</span><code><span class="memberNameLink"><a href="../../../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ASTHelper.html#createReferenceType-org.eclipse.papyrus.designer.languages.java.reverse.javaparser.ast.type.PrimitiveType-int-">createReferenceType</a></span>(<a href="../../../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ast/type/PrimitiveType.html" title="class in org.eclipse.papyrus.designer.languages.java.reverse.javaparser.ast.type">PrimitiveType</a>&nbsp;type,
                   int&nbsp;arrayCount)</code>
<div class="block">Creates a new <a href="../../../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ast/type/ReferenceType.html" title="class in org.eclipse.papyrus.designer.languages.java.reverse.javaparser.ast.type"><code>ReferenceType</code></a> for the given primitive type.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static <a href="../../../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ast/type/ReferenceType.html" title="class in org.eclipse.papyrus.designer.languages.java.reverse.javaparser.ast.type">ReferenceType</a></code></td>
<td class="colLast"><span class="typeNameLabel">ASTHelper.</span><code><span class="memberNameLink"><a href="../../../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ASTHelper.html#createReferenceType-java.lang.String-int-">createReferenceType</a></span>(<a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;name,
                   int&nbsp;arrayCount)</code>
<div class="block">Creates a new <a href="../../../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ast/type/ReferenceType.html" title="class in org.eclipse.papyrus.designer.languages.java.reverse.javaparser.ast.type"><code>ReferenceType</code></a> for a class or interface.</div>
</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="org.eclipse.papyrus.designer.languages.java.reverse.javaparser.ast.body">
<!--   -->
</a>
<h3>Uses of <a href="../../../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ast/type/ReferenceType.html" title="class in org.eclipse.papyrus.designer.languages.java.reverse.javaparser.ast.type">ReferenceType</a> in <a href="../../../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ast/body/package-summary.html">org.eclipse.papyrus.designer.languages.java.reverse.javaparser.ast.body</a></h3>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ast/body/package-summary.html">org.eclipse.papyrus.designer.languages.java.reverse.javaparser.ast.body</a> that return types with arguments of type <a href="../../../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ast/type/ReferenceType.html" title="class in org.eclipse.papyrus.designer.languages.java.reverse.javaparser.ast.type">ReferenceType</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code><a href="http://docs.oracle.com/javase/8/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="../../../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ast/type/ReferenceType.html" title="class in org.eclipse.papyrus.designer.languages.java.reverse.javaparser.ast.type">ReferenceType</a>&gt;</code></td>
<td class="colLast"><span class="typeNameLabel">MethodDeclaration.</span><code><span class="memberNameLink"><a href="../../../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ast/body/MethodDeclaration.html#getThrows--">getThrows</a></span>()</code>&nbsp;</td>
</tr>
</tbody>
</table>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Method parameters in <a href="../../../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ast/body/package-summary.html">org.eclipse.papyrus.designer.languages.java.reverse.javaparser.ast.body</a> with type arguments of type <a href="../../../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ast/type/ReferenceType.html" title="class in org.eclipse.papyrus.designer.languages.java.reverse.javaparser.ast.type">ReferenceType</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><span class="typeNameLabel">MethodDeclaration.</span><code><span class="memberNameLink"><a href="../../../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ast/body/MethodDeclaration.html#setThrows-java.util.List-">setThrows</a></span>(<a href="http://docs.oracle.com/javase/8/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="../../../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ast/type/ReferenceType.html" title="class in org.eclipse.papyrus.designer.languages.java.reverse.javaparser.ast.type">ReferenceType</a>&gt;&nbsp;throws_)</code>&nbsp;</td>
</tr>
</tbody>
</table>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing constructors, and an explanation">
<caption><span>Constructor parameters in <a href="../../../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ast/body/package-summary.html">org.eclipse.papyrus.designer.languages.java.reverse.javaparser.ast.body</a> with type arguments of type <a href="../../../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ast/type/ReferenceType.html" title="class in org.eclipse.papyrus.designer.languages.java.reverse.javaparser.ast.type">ReferenceType</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ast/body/MethodDeclaration.html#MethodDeclaration-int-int-int-int-int-java.util.List-java.util.List-org.eclipse.papyrus.designer.languages.java.reverse.javaparser.ast.type.Type-java.lang.String-java.util.List-int-java.util.List-org.eclipse.papyrus.designer.languages.java.reverse.javaparser.ast.stmt.BlockStmt-">MethodDeclaration</a></span>(int&nbsp;beginLine,
                 int&nbsp;beginColumn,
                 int&nbsp;endLine,
                 int&nbsp;endColumn,
                 int&nbsp;modifiers,
                 <a href="http://docs.oracle.com/javase/8/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="../../../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ast/expr/AnnotationExpr.html" title="class in org.eclipse.papyrus.designer.languages.java.reverse.javaparser.ast.expr">AnnotationExpr</a>&gt;&nbsp;annotations,
                 <a href="http://docs.oracle.com/javase/8/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="../../../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ast/TypeParameter.html" title="class in org.eclipse.papyrus.designer.languages.java.reverse.javaparser.ast">TypeParameter</a>&gt;&nbsp;typeParameters,
                 <a href="../../../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ast/type/Type.html" title="class in org.eclipse.papyrus.designer.languages.java.reverse.javaparser.ast.type">Type</a>&nbsp;type,
                 <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;name,
                 <a href="http://docs.oracle.com/javase/8/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="../../../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ast/body/Parameter.html" title="class in org.eclipse.papyrus.designer.languages.java.reverse.javaparser.ast.body">Parameter</a>&gt;&nbsp;parameters,
                 int&nbsp;arrayCount,
                 <a href="http://docs.oracle.com/javase/8/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="../../../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ast/type/ReferenceType.html" title="class in org.eclipse.papyrus.designer.languages.java.reverse.javaparser.ast.type">ReferenceType</a>&gt;&nbsp;throws_,
                 <a href="../../../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ast/stmt/BlockStmt.html" title="class in org.eclipse.papyrus.designer.languages.java.reverse.javaparser.ast.stmt">BlockStmt</a>&nbsp;body)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ast/body/MethodDeclaration.html#MethodDeclaration-int-java.util.List-java.util.List-org.eclipse.papyrus.designer.languages.java.reverse.javaparser.ast.type.Type-java.lang.String-java.util.List-int-java.util.List-org.eclipse.papyrus.designer.languages.java.reverse.javaparser.ast.stmt.BlockStmt-">MethodDeclaration</a></span>(int&nbsp;modifiers,
                 <a href="http://docs.oracle.com/javase/8/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="../../../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ast/expr/AnnotationExpr.html" title="class in org.eclipse.papyrus.designer.languages.java.reverse.javaparser.ast.expr">AnnotationExpr</a>&gt;&nbsp;annotations,
                 <a href="http://docs.oracle.com/javase/8/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="../../../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ast/TypeParameter.html" title="class in org.eclipse.papyrus.designer.languages.java.reverse.javaparser.ast">TypeParameter</a>&gt;&nbsp;typeParameters,
                 <a href="../../../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ast/type/Type.html" title="class in org.eclipse.papyrus.designer.languages.java.reverse.javaparser.ast.type">Type</a>&nbsp;type,
                 <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;name,
                 <a href="http://docs.oracle.com/javase/8/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="../../../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ast/body/Parameter.html" title="class in org.eclipse.papyrus.designer.languages.java.reverse.javaparser.ast.body">Parameter</a>&gt;&nbsp;parameters,
                 int&nbsp;arrayCount,
                 <a href="http://docs.oracle.com/javase/8/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="../../../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ast/type/ReferenceType.html" title="class in org.eclipse.papyrus.designer.languages.java.reverse.javaparser.ast.type">ReferenceType</a>&gt;&nbsp;throws_,
                 <a href="../../../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ast/stmt/BlockStmt.html" title="class in org.eclipse.papyrus.designer.languages.java.reverse.javaparser.ast.stmt">BlockStmt</a>&nbsp;body)</code>&nbsp;</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="org.eclipse.papyrus.designer.languages.java.reverse.javaparser.ast.type">
<!--   -->
</a>
<h3>Uses of <a href="../../../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ast/type/ReferenceType.html" title="class in org.eclipse.papyrus.designer.languages.java.reverse.javaparser.ast.type">ReferenceType</a> in <a href="../../../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ast/type/package-summary.html">org.eclipse.papyrus.designer.languages.java.reverse.javaparser.ast.type</a></h3>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ast/type/package-summary.html">org.eclipse.papyrus.designer.languages.java.reverse.javaparser.ast.type</a> that return <a href="../../../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ast/type/ReferenceType.html" title="class in org.eclipse.papyrus.designer.languages.java.reverse.javaparser.ast.type">ReferenceType</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ast/type/ReferenceType.html" title="class in org.eclipse.papyrus.designer.languages.java.reverse.javaparser.ast.type">ReferenceType</a></code></td>
<td class="colLast"><span class="typeNameLabel">WildcardType.</span><code><span class="memberNameLink"><a href="../../../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ast/type/WildcardType.html#getExtends--">getExtends</a></span>()</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../../../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ast/type/ReferenceType.html" title="class in org.eclipse.papyrus.designer.languages.java.reverse.javaparser.ast.type">ReferenceType</a></code></td>
<td class="colLast"><span class="typeNameLabel">WildcardType.</span><code><span class="memberNameLink"><a href="../../../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ast/type/WildcardType.html#getSuper--">getSuper</a></span>()</code>&nbsp;</td>
</tr>
</tbody>
</table>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ast/type/package-summary.html">org.eclipse.papyrus.designer.languages.java.reverse.javaparser.ast.type</a> that return types with arguments of type <a href="../../../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ast/type/ReferenceType.html" title="class in org.eclipse.papyrus.designer.languages.java.reverse.javaparser.ast.type">ReferenceType</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code><a href="http://docs.oracle.com/javase/8/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="../../../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ast/type/ReferenceType.html" title="class in org.eclipse.papyrus.designer.languages.java.reverse.javaparser.ast.type">ReferenceType</a>&gt;</code></td>
<td class="colLast"><span class="typeNameLabel">UnionType.</span><code><span class="memberNameLink"><a href="../../../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ast/type/UnionType.html#getElements--">getElements</a></span>()</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="http://docs.oracle.com/javase/8/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="../../../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ast/type/ReferenceType.html" title="class in org.eclipse.papyrus.designer.languages.java.reverse.javaparser.ast.type">ReferenceType</a>&gt;</code></td>
<td class="colLast"><span class="typeNameLabel">IntersectionType.</span><code><span class="memberNameLink"><a href="../../../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ast/type/IntersectionType.html#getElements--">getElements</a></span>()</code>&nbsp;</td>
</tr>
</tbody>
</table>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ast/type/package-summary.html">org.eclipse.papyrus.designer.languages.java.reverse.javaparser.ast.type</a> with parameters of type <a href="../../../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ast/type/ReferenceType.html" title="class in org.eclipse.papyrus.designer.languages.java.reverse.javaparser.ast.type">ReferenceType</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><span class="typeNameLabel">WildcardType.</span><code><span class="memberNameLink"><a href="../../../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ast/type/WildcardType.html#setExtends-org.eclipse.papyrus.designer.languages.java.reverse.javaparser.ast.type.ReferenceType-">setExtends</a></span>(<a href="../../../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ast/type/ReferenceType.html" title="class in org.eclipse.papyrus.designer.languages.java.reverse.javaparser.ast.type">ReferenceType</a>&nbsp;ext)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><span class="typeNameLabel">WildcardType.</span><code><span class="memberNameLink"><a href="../../../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ast/type/WildcardType.html#setSuper-org.eclipse.papyrus.designer.languages.java.reverse.javaparser.ast.type.ReferenceType-">setSuper</a></span>(<a href="../../../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ast/type/ReferenceType.html" title="class in org.eclipse.papyrus.designer.languages.java.reverse.javaparser.ast.type">ReferenceType</a>&nbsp;sup)</code>&nbsp;</td>
</tr>
</tbody>
</table>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Method parameters in <a href="../../../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ast/type/package-summary.html">org.eclipse.papyrus.designer.languages.java.reverse.javaparser.ast.type</a> with type arguments of type <a href="../../../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ast/type/ReferenceType.html" title="class in org.eclipse.papyrus.designer.languages.java.reverse.javaparser.ast.type">ReferenceType</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><span class="typeNameLabel">UnionType.</span><code><span class="memberNameLink"><a href="../../../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ast/type/UnionType.html#setElements-java.util.List-">setElements</a></span>(<a href="http://docs.oracle.com/javase/8/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="../../../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ast/type/ReferenceType.html" title="class in org.eclipse.papyrus.designer.languages.java.reverse.javaparser.ast.type">ReferenceType</a>&gt;&nbsp;elements)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><span class="typeNameLabel">IntersectionType.</span><code><span class="memberNameLink"><a href="../../../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ast/type/IntersectionType.html#setElements-java.util.List-">setElements</a></span>(<a href="http://docs.oracle.com/javase/8/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="../../../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ast/type/ReferenceType.html" title="class in org.eclipse.papyrus.designer.languages.java.reverse.javaparser.ast.type">ReferenceType</a>&gt;&nbsp;elements)</code>&nbsp;</td>
</tr>
</tbody>
</table>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing constructors, and an explanation">
<caption><span>Constructors in <a href="../../../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ast/type/package-summary.html">org.eclipse.papyrus.designer.languages.java.reverse.javaparser.ast.type</a> with parameters of type <a href="../../../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ast/type/ReferenceType.html" title="class in org.eclipse.papyrus.designer.languages.java.reverse.javaparser.ast.type">ReferenceType</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ast/type/WildcardType.html#WildcardType-int-int-int-int-org.eclipse.papyrus.designer.languages.java.reverse.javaparser.ast.type.ReferenceType-org.eclipse.papyrus.designer.languages.java.reverse.javaparser.ast.type.ReferenceType-">WildcardType</a></span>(int&nbsp;beginLine,
            int&nbsp;beginColumn,
            int&nbsp;endLine,
            int&nbsp;endColumn,
            <a href="../../../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ast/type/ReferenceType.html" title="class in org.eclipse.papyrus.designer.languages.java.reverse.javaparser.ast.type">ReferenceType</a>&nbsp;ext,
            <a href="../../../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ast/type/ReferenceType.html" title="class in org.eclipse.papyrus.designer.languages.java.reverse.javaparser.ast.type">ReferenceType</a>&nbsp;sup)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ast/type/WildcardType.html#WildcardType-org.eclipse.papyrus.designer.languages.java.reverse.javaparser.ast.type.ReferenceType-">WildcardType</a></span>(<a href="../../../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ast/type/ReferenceType.html" title="class in org.eclipse.papyrus.designer.languages.java.reverse.javaparser.ast.type">ReferenceType</a>&nbsp;ext)</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ast/type/WildcardType.html#WildcardType-org.eclipse.papyrus.designer.languages.java.reverse.javaparser.ast.type.ReferenceType-org.eclipse.papyrus.designer.languages.java.reverse.javaparser.ast.type.ReferenceType-">WildcardType</a></span>(<a href="../../../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ast/type/ReferenceType.html" title="class in org.eclipse.papyrus.designer.languages.java.reverse.javaparser.ast.type">ReferenceType</a>&nbsp;ext,
            <a href="../../../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ast/type/ReferenceType.html" title="class in org.eclipse.papyrus.designer.languages.java.reverse.javaparser.ast.type">ReferenceType</a>&nbsp;sup)</code>&nbsp;</td>
</tr>
</tbody>
</table>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing constructors, and an explanation">
<caption><span>Constructor parameters in <a href="../../../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ast/type/package-summary.html">org.eclipse.papyrus.designer.languages.java.reverse.javaparser.ast.type</a> with type arguments of type <a href="../../../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ast/type/ReferenceType.html" title="class in org.eclipse.papyrus.designer.languages.java.reverse.javaparser.ast.type">ReferenceType</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ast/type/IntersectionType.html#IntersectionType-int-int-int-int-java.util.List-">IntersectionType</a></span>(int&nbsp;beginLine,
                int&nbsp;beginColumn,
                int&nbsp;endLine,
                int&nbsp;endColumn,
                <a href="http://docs.oracle.com/javase/8/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="../../../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ast/type/ReferenceType.html" title="class in org.eclipse.papyrus.designer.languages.java.reverse.javaparser.ast.type">ReferenceType</a>&gt;&nbsp;elements)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ast/type/IntersectionType.html#IntersectionType-java.util.List-">IntersectionType</a></span>(<a href="http://docs.oracle.com/javase/8/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="../../../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ast/type/ReferenceType.html" title="class in org.eclipse.papyrus.designer.languages.java.reverse.javaparser.ast.type">ReferenceType</a>&gt;&nbsp;elements)</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ast/type/UnionType.html#UnionType-int-int-int-int-java.util.List-">UnionType</a></span>(int&nbsp;beginLine,
         int&nbsp;beginColumn,
         int&nbsp;endLine,
         int&nbsp;endColumn,
         <a href="http://docs.oracle.com/javase/8/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="../../../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ast/type/ReferenceType.html" title="class in org.eclipse.papyrus.designer.languages.java.reverse.javaparser.ast.type">ReferenceType</a>&gt;&nbsp;elements)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ast/type/UnionType.html#UnionType-java.util.List-">UnionType</a></span>(<a href="http://docs.oracle.com/javase/8/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="../../../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ast/type/ReferenceType.html" title="class in org.eclipse.papyrus.designer.languages.java.reverse.javaparser.ast.type">ReferenceType</a>&gt;&nbsp;elements)</code>&nbsp;</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="org.eclipse.papyrus.designer.languages.java.reverse.javaparser.ast.visitor">
<!--   -->
</a>
<h3>Uses of <a href="../../../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ast/type/ReferenceType.html" title="class in org.eclipse.papyrus.designer.languages.java.reverse.javaparser.ast.type">ReferenceType</a> in <a href="../../../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ast/visitor/package-summary.html">org.eclipse.papyrus.designer.languages.java.reverse.javaparser.ast.visitor</a></h3>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ast/visitor/package-summary.html">org.eclipse.papyrus.designer.languages.java.reverse.javaparser.ast.visitor</a> with parameters of type <a href="../../../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ast/type/ReferenceType.html" title="class in org.eclipse.papyrus.designer.languages.java.reverse.javaparser.ast.type">ReferenceType</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><span class="typeNameLabel">VoidVisitorAdapter.</span><code><span class="memberNameLink"><a href="../../../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ast/visitor/VoidVisitorAdapter.html#visit-org.eclipse.papyrus.designer.languages.java.reverse.javaparser.ast.type.ReferenceType-A-">visit</a></span>(<a href="../../../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ast/type/ReferenceType.html" title="class in org.eclipse.papyrus.designer.languages.java.reverse.javaparser.ast.type">ReferenceType</a>&nbsp;n,
     <a href="../../../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ast/visitor/VoidVisitorAdapter.html" title="type parameter in VoidVisitorAdapter">A</a>&nbsp;arg)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><span class="typeNameLabel">VoidVisitor.</span><code><span class="memberNameLink"><a href="../../../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ast/visitor/VoidVisitor.html#visit-org.eclipse.papyrus.designer.languages.java.reverse.javaparser.ast.type.ReferenceType-A-">visit</a></span>(<a href="../../../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ast/type/ReferenceType.html" title="class in org.eclipse.papyrus.designer.languages.java.reverse.javaparser.ast.type">ReferenceType</a>&nbsp;n,
     <a href="../../../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ast/visitor/VoidVisitor.html" title="type parameter in VoidVisitor">A</a>&nbsp;arg)</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ast/Node.html" title="class in org.eclipse.papyrus.designer.languages.java.reverse.javaparser.ast">Node</a></code></td>
<td class="colLast"><span class="typeNameLabel">ModifierVisitorAdapter.</span><code><span class="memberNameLink"><a href="../../../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ast/visitor/ModifierVisitorAdapter.html#visit-org.eclipse.papyrus.designer.languages.java.reverse.javaparser.ast.type.ReferenceType-A-">visit</a></span>(<a href="../../../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ast/type/ReferenceType.html" title="class in org.eclipse.papyrus.designer.languages.java.reverse.javaparser.ast.type">ReferenceType</a>&nbsp;n,
     <a href="../../../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ast/visitor/ModifierVisitorAdapter.html" title="type parameter in ModifierVisitorAdapter">A</a>&nbsp;arg)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../../../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ast/visitor/GenericVisitorAdapter.html" title="type parameter in GenericVisitorAdapter">R</a></code></td>
<td class="colLast"><span class="typeNameLabel">GenericVisitorAdapter.</span><code><span class="memberNameLink"><a href="../../../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ast/visitor/GenericVisitorAdapter.html#visit-org.eclipse.papyrus.designer.languages.java.reverse.javaparser.ast.type.ReferenceType-A-">visit</a></span>(<a href="../../../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ast/type/ReferenceType.html" title="class in org.eclipse.papyrus.designer.languages.java.reverse.javaparser.ast.type">ReferenceType</a>&nbsp;n,
     <a href="../../../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ast/visitor/GenericVisitorAdapter.html" title="type parameter in GenericVisitorAdapter">A</a>&nbsp;arg)</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ast/visitor/GenericVisitor.html" title="type parameter in GenericVisitor">R</a></code></td>
<td class="colLast"><span class="typeNameLabel">GenericVisitor.</span><code><span class="memberNameLink"><a href="../../../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ast/visitor/GenericVisitor.html#visit-org.eclipse.papyrus.designer.languages.java.reverse.javaparser.ast.type.ReferenceType-A-">visit</a></span>(<a href="../../../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ast/type/ReferenceType.html" title="class in org.eclipse.papyrus.designer.languages.java.reverse.javaparser.ast.type">ReferenceType</a>&nbsp;n,
     <a href="../../../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ast/visitor/GenericVisitor.html" title="type parameter in GenericVisitor">A</a>&nbsp;arg)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Boolean.html?is-external=true" title="class or interface in java.lang">Boolean</a></code></td>
<td class="colLast"><span class="typeNameLabel">EqualsVisitor.</span><code><span class="memberNameLink"><a href="../../../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ast/visitor/EqualsVisitor.html#visit-org.eclipse.papyrus.designer.languages.java.reverse.javaparser.ast.type.ReferenceType-org.eclipse.papyrus.designer.languages.java.reverse.javaparser.ast.Node-">visit</a></span>(<a href="../../../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ast/type/ReferenceType.html" title="class in org.eclipse.papyrus.designer.languages.java.reverse.javaparser.ast.type">ReferenceType</a>&nbsp;n1,
     <a href="../../../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ast/Node.html" title="class in org.eclipse.papyrus.designer.languages.java.reverse.javaparser.ast">Node</a>&nbsp;arg)</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><span class="typeNameLabel">DumpVisitor.</span><code><span class="memberNameLink"><a href="../../../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ast/visitor/DumpVisitor.html#visit-org.eclipse.papyrus.designer.languages.java.reverse.javaparser.ast.type.ReferenceType-java.lang.Object-">visit</a></span>(<a href="../../../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ast/type/ReferenceType.html" title="class in org.eclipse.papyrus.designer.languages.java.reverse.javaparser.ast.type">ReferenceType</a>&nbsp;n,
     <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a>&nbsp;arg)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../../../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ast/Node.html" title="class in org.eclipse.papyrus.designer.languages.java.reverse.javaparser.ast">Node</a></code></td>
<td class="colLast"><span class="typeNameLabel">CloneVisitor.</span><code><span class="memberNameLink"><a href="../../../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ast/visitor/CloneVisitor.html#visit-org.eclipse.papyrus.designer.languages.java.reverse.javaparser.ast.type.ReferenceType-java.lang.Object-">visit</a></span>(<a href="../../../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ast/type/ReferenceType.html" title="class in org.eclipse.papyrus.designer.languages.java.reverse.javaparser.ast.type">ReferenceType</a>&nbsp;_n,
     <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a>&nbsp;_arg)</code>&nbsp;</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="org.eclipse.papyrus.designer.languages.java.reverse.umlparser">
<!--   -->
</a>
<h3>Uses of <a href="../../../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ast/type/ReferenceType.html" title="class in org.eclipse.papyrus.designer.languages.java.reverse.javaparser.ast.type">ReferenceType</a> in <a href="../../../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/umlparser/package-summary.html">org.eclipse.papyrus.designer.languages.java.reverse.umlparser</a></h3>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/umlparser/package-summary.html">org.eclipse.papyrus.designer.languages.java.reverse.umlparser</a> with parameters of type <a href="../../../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ast/type/ReferenceType.html" title="class in org.eclipse.papyrus.designer.languages.java.reverse.javaparser.ast.type">ReferenceType</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><span class="typeNameLabel">SwitchVisitor.</span><code><span class="memberNameLink"><a href="../../../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/umlparser/SwitchVisitor.html#visit-org.eclipse.papyrus.designer.languages.java.reverse.javaparser.ast.type.ReferenceType-A-">visit</a></span>(<a href="../../../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ast/type/ReferenceType.html" title="class in org.eclipse.papyrus.designer.languages.java.reverse.javaparser.ast.type">ReferenceType</a>&nbsp;n,
     <a href="../../../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/umlparser/SwitchVisitor.html" title="type parameter in SwitchVisitor">A</a>&nbsp;arg)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../../../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/umlparser/GenericSwitchVisitor.html" title="type parameter in GenericSwitchVisitor">R</a></code></td>
<td class="colLast"><span class="typeNameLabel">GenericSwitchVisitor.</span><code><span class="memberNameLink"><a href="../../../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/umlparser/GenericSwitchVisitor.html#visit-org.eclipse.papyrus.designer.languages.java.reverse.javaparser.ast.type.ReferenceType-A-">visit</a></span>(<a href="../../../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ast/type/ReferenceType.html" title="class in org.eclipse.papyrus.designer.languages.java.reverse.javaparser.ast.type">ReferenceType</a>&nbsp;n,
     <a href="../../../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/umlparser/GenericSwitchVisitor.html" title="type parameter in GenericSwitchVisitor">A</a>&nbsp;arg)</code>&nbsp;</td>
</tr>
</tbody>
</table>
</li>
</ul>
</li>
</ul>
</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../../../../../../overview-summary.html">Overview</a></li>
<li><a href="../package-summary.html">Package</a></li>
<li><a href="../../../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ast/type/ReferenceType.html" title="class in org.eclipse.papyrus.designer.languages.java.reverse.javaparser.ast.type">Class</a></li>
<li class="navBarCell1Rev">Use</li>
<li><a href="../package-tree.html">Tree</a></li>
<li><a href="../../../../../../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev</li>
<li>Next</li>
</ul>
<ul class="navList">
<li><a href="../../../../../../../../../../../index.html?org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ast/type/class-use/ReferenceType.html" target="_top">Frames</a></li>
<li><a href="ReferenceType.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy"><small>Copyright &#169; 2016&#x2013;2017 <a href="https://www.eclipse.org/">Eclipse foundation</a>. All rights reserved.</small></p>
</body>
</html>
